View Issue Details

IDProjectCategoryView StatusLast Update
0014481LazarusIDEpublic2009-09-11 12:54
ReporterGraeme Geldenhuys Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSUbuntu Linux 
Product Version0.9.27 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014481: IDE Help Options - dialog closes on ENTER key
DescriptionWhen I enter a URL in the "Environment > Help Options" dialog in the BaseURL property field. I enter a string and press ENTER. The dialog then closes - not what I intended.
TagsNo tags attached.
Fixed in Revision21545
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Activities

Paul Ishenin

2009-09-02 16:33

manager   ~0030325

On windows it is not so.

But I can imagine why it is so on gtk2. Enter key triggers default button click event = Ok button in this dialog. On windows seems this internal grid editor eats this enter key.

Graeme Geldenhuys

2009-09-02 16:46

reporter   ~0030327

I though the Enter key triggers the default button, but isn't there a way the internal grid could do what seems to happen under Windows - but for all platforms.

Between this bug and 0014482 it actually makes the Help Options unusable under Linux+GTK2. I couldn't enter the BaseURL value or any other value at all - no matter what I tried. I had to resort to editing the ~/.lazarus/helpoptions.xml file manually. :-(

Paul Ishenin

2009-09-03 03:27

manager   ~0030345

Please test and close if ok.

Graeme Geldenhuys

2009-09-11 12:54

reporter   ~0030625

Tested thanks.

Issue History

Date Modified Username Field Change
2009-09-02 14:48 Graeme Geldenhuys New Issue
2009-09-02 14:48 Graeme Geldenhuys Widgetset => GTK 2
2009-09-02 16:33 Paul Ishenin Note Added: 0030325
2009-09-02 16:46 Graeme Geldenhuys Note Added: 0030327
2009-09-03 03:27 Paul Ishenin Fixed in Revision => 21545
2009-09-03 03:27 Paul Ishenin LazTarget => 0.9.30
2009-09-03 03:27 Paul Ishenin Status new => resolved
2009-09-03 03:27 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-03 03:27 Paul Ishenin Resolution open => fixed
2009-09-03 03:27 Paul Ishenin Assigned To => Paul Ishenin
2009-09-03 03:27 Paul Ishenin Note Added: 0030345
2009-09-03 03:27 Paul Ishenin Target Version => 0.9.30
2009-09-11 12:54 Graeme Geldenhuys Status resolved => closed
2009-09-11 12:54 Graeme Geldenhuys Note Added: 0030625